LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 04-16-2006, 09:52 AM   #1
Froboi
LQ Newbie
 
Registered: Apr 2006
Distribution: Slackware
Posts: 16

Rep: Reputation: 0
Pkg_config_path


Ok i read other post about this but when i tried the PKG_CONFIG_PATH=(where the file is)
it did not work for me...If anyone has any idea it would be much help
 
Old 04-16-2006, 09:59 AM   #2
dinolinux
Member
 
Registered: Jun 2005
Location: Oslo, Norway
Distribution: Slackware 11, Solaris 10, Solaris 9, Sourcemage 0.9.6
Posts: 322

Rep: Reputation: 31
can you explain a bit more about your problem? Also, when exporting a path do:
Code:
PKG_CONFIG_PATH=/path/to/program:$PKG_CONFIG_PATH ; export PKG_CONFIG_PATH

Last edited by dinolinux; 04-16-2006 at 10:00 AM.
 
Old 04-16-2006, 12:24 PM   #3
Froboi
LQ Newbie
 
Registered: Apr 2006
Distribution: Slackware
Posts: 16

Original Poster
Rep: Reputation: 0
pkg-config --modversion glib-2.0' returned 2.6.6, but GLIB (2.8.6)
was found! If pkg-config was correct, then it is best
to remove the old version of GLib. You may also be able to fix the error
by modifying your LD_LIBRARY_PATH enviroment variable, or by editing
/etc/ld.so.conf. Make sure you have run ldconfig if that is
required on your system.
If pkg-config was wrong, set the environment variable PKG_CONFIG_PATH
to point to the correct configuration files
no
checking for pkg-config... (cached) /usr/bin/pkg-config
checking for GLIB - version >= 2.0.0...
'pkg-config --modversion glib-2.0' returned 2.6.6, but GLIB (2.8.6)
was found! If pkg-config was correct, then it is best
to remove the old version of GLib. You may also be able to fix the error
by modifying your LD_LIBRARY_PATH enviroment variable, or by editing
/etc/ld.so.conf. Make sure you have run ldconfig if that is
required on your system.
If pkg-config was wrong, set the environment variable PKG_CONFIG_PATH
to point to the correct configuration files
no
configure: error:
GLIB 2.0.0 or better is required. The latest version of
GLIB is always available from ftp://ftp.gtk.org/. If GLIB is installed
but not in the same location as pkg-config add the location of the file
glib-2.0.pc to the environment variable PKG_CONFIG_PATH.

thats what i get for an error..
 
Old 04-16-2006, 12:40 PM   #4
tomdkat
Member
 
Registered: May 2003
Location: S.F. Bay Area
Distribution: Ubuntu 9.04 AMD64
Posts: 595

Rep: Reputation: 30
Do a search on "glib-2.0.pc" on your system and see if you get multiple hits:

$ find / -name glibc-2.0.pc

You might have an outdated glibc-2.0.pc file laying around.

Peace...
 
Old 04-24-2006, 11:35 PM   #5
potatohead
LQ Newbie
 
Registered: Dec 2005
Posts: 2

Rep: Reputation: 0
I got the same error when installing ATK.
The conflict came because pkg-config found a different version of glib-2.0 then the one that was loaded.
The reason was that when I installed glib-2.8.6 I hadn't removed the old one (which was at a different location).
So: check the .so in /usr/lib vs /usr/local/lib and the one referred to by glib-2.0.pc
Remove the older one and symlink to the newer one.
 
Old 04-24-2006, 11:59 PM   #6
tomdkat
Member
 
Registered: May 2003
Location: S.F. Bay Area
Distribution: Ubuntu 9.04 AMD64
Posts: 595

Rep: Reputation: 30
Quote:
Originally Posted by potatohead
Remove the older one and symlink to the newer one.
Awwwwwwwwwwww I have to disagree with you on this. He should remove the old installation and make sure the correct installation will be used.

The .pc file is only one piece of the puzzle.

Peace...
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Pkg_config_path rlnd Linux - Software 15 03-06-2009 03:26 PM
PKG_CONFIG_PATH editing chippy73 Linux - Newbie 7 05-01-2005 06:54 AM
Pkg_config_path Kiwi UK Linux - Software 5 12-18-2004 02:36 PM
Pkg_config_path box_l Mandriva 3 08-03-2004 05:53 AM
Pkg_config_path kilgore_trout Linux - Software 0 09-08-2003 01:18 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 04:20 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration